Summary: GNOME desktop calculator
Name: gcalctool
Version: 4.3.3
Release: 1mdk
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/softwaremap/projects/gcalctool/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gcalctool-32.png
Source2: gcalctool-16.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: scrollkeeper
Requires: scrollkeeper
Conflicts: gnome-utils < 2.3.3

%description
gcalctool is a desktop calculator.
It has Basic, Financial and Scientific modes. Internally it uses multiple
precision arithmetic to produce results to a high degree of accuracy.

%prep
%setup -q

%build

%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name} --with-gnome

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):  \
  needs="X11" \
  section="Office/Accessories" \
  title="Calculator" \
  longtitle="Perform calculations"  \
  command="%{_bindir}/gcalctool" \
  icon="gcalctool.png"  \
  startup_notify="true"
EOF

mkdir -p %buildroot{%_liconsdir,%_miconsdir,%_iconsdir}
install -m 644 %SOURCE1 %buildroot%_iconsdir/%name.png
install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.png
ln -s %{_datadir}/pixmaps/gcalctool.png %buildroot%{_liconsdir}
touch %buildroot%{_datadir}/gnome/help/gcalctool/C/gcalctool.html

%clean
rm -rf $RPM_BUILD_ROOT


%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null
%{update_menus}
touch %{_datadir}/gnome/help/gcalctool/C/gcalctool.html
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/gcalctool/C/gcalctool.xml > /dev/null || true; fi

%preun
if [ "$1" = "0" ] ; then
 GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gcalctool.schemas > /dev/null
fi

%postun 
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q|| true ; fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS ChangeLog AUTHORS TODO
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/omf/*
%{_datadir}/pixmaps/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%ghost %{_datadir}/gnome/help/gcalctool/C/gcalctool.html

%changelog
* Mon Sep 08 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.3-1mdk
- Release 4.3.3

* Mon Aug 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 4.3.2-1mdk
- Release 4.3.2

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.3.0-1mdk
- Release 4.3.0

* Wed Jul 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.103-1mdk
- Release 4.2.103

* Tue Jul 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.99-1mdk
- Release 4.2.99

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.86-1mdk
- Release 4.2.86

* Sun May  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 4.2.83-2mdk
- fix install stage (schema installation)
- include the icons
- pregenerate the html help file

* Mon Apr 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.83-1mdk
- Release 4.2.83

* Fri Apr 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 4.2.77-1mdk
- First Mandrake package


